package com.loafle.overflow.central.module.meta.service;

import com.loafle.overflow.central.module.meta.dao.MetaTargetServiceTypeDAO;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.meta.MetaTargetServiceType;
import com.loafle.overflow.service.central.meta.MetaTargetServiceTypeService;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by snoop on 17. 7. 27.
 */
@Service("MetaTargetServiceTypeService")
public class CentralMetaTargetServiceTypeService implements MetaTargetServiceTypeService {

  @Autowired
  private MetaTargetServiceTypeDAO metaTargetServiceTypeDAO;

  @Override
  public MetaTargetServiceType regist(MetaTargetServiceType metaTargetServiceType) throws OverflowException {
    return this.metaTargetServiceTypeDAO.save(metaTargetServiceType);
  }

  @Override
  public MetaTargetServiceType readByKey(String key) throws OverflowException {
    return this.metaTargetServiceTypeDAO.findByKey(key);
  }

  @Override
  public List<MetaTargetServiceType> readAll() throws OverflowException {
    return this.metaTargetServiceTypeDAO.findAll();
  }
}
